##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2020                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


CUBEGUI_CONFIG = cubegui-config
CUBELIB_CONFIG = cubelib-config

unix:INCLUDEPATH    += $$system($$CUBEGUI_CONFIG --include) $$system($$CUBELIB_CONFIG --include) 
win32:INCLUDEPATH   +=  "C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/include/cubegui" \
                        "C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/include/cubelib"
				   				   				   				   
unix:LIBS      +=  $$system($$CUBEGUI_CONFIG --ldflags) $$system($$CUBEGUI_CONFIG --libs)\
                   $$system($$CUBELIB_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --libs)
win32:LIBS     +=  -L"C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/lib" -lcube -lcube4gui



TEMPLATE        = lib
CONFIG         += plugin
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets concurrent core

HEADERS         = ../src/TauValueView.h
SOURCES         = ../src/TauValueView.cpp
TARGET          = $$qtLibraryTarget(tauvalue-plugin)
